package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DF;
import com.sa.ibiz.demo.demo.service.dto.DFSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DF] 服务对象接口
 */
public interface DFService extends IService<DF>{

	boolean create(DF et);
	boolean remove(DF et);
		DF get(DF et);
	boolean update(DF et);
	boolean getDraft(DF et);
	boolean checkKey(DF et);
    List<DF> listDefault(DFSearchFilter filter) ;
	Page<DF> searchDefault(DFSearchFilter filter);
	/**	 实体[DF] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }